{% extends 'CoreGUIBundle:pdf:base_report.html.twig' %}

{% set ANIO_EDAD_REGISTRO_REPRESENTANTE=constant('HCUE\\PacienteBundle\\Entity\\Constantes::ANIO_EDAD_REGISTRO_REPRESENTANTE') %}
{% set CT_NACIONALIDAD_EC=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_NACIONALIDAD_EC') %}
{% set DISCAPACIDAD_SI=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_WS_DISCAPACIDAD_RESPUESTA_SI') %}
{% set anios = edad['anios'] %}
{% set meses = edad['meses'] %}
{% set dias = edad['dias'] %}
{% set NACIONALIDAD_ECUATORIANA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_NACIONALIDAD_ECUATORIANA') %}

{% block head_style %}
    {{ parent() }}
    <style type="text/css" media="screen">
        tr td {
            padding: 3px !important;
        }

        .ajustar {
            border: none !important;
            overflow-wrap: normal;
            word-wrap: break-word;
            display: inline-block;
            vertical-align: top;
        }
    </style>
{% endblock head_style %}

{% block container %}
    <table width="100%" class="table table-bordered content-center" style="margin-bottom: 4px;">
        <tbody>
        <tr>
            <th width="80">INSTITUCIÓN DEL SISTEMA</th>
            <th>ESTABLECIMIENTO DE SALUD</th>
            <th width="50">CÓDIGO</th>
            <th colspan="3">LOCALIZACIÓN</th>
            <th width="100">N° HISTORIA CLÍNICA</th>
        </tr>
        <tr>
            <td rowspan="2">MSP</td>
            <td rowspan="2">{{ entidad.nombreoficial }}</td>
            <td rowspan="2">{{ "%06d" | format(entidad.id) }}</td>
            <th width="70">PARROQUIA</th>
            <th width="70">CANTÓN</th>
            <th width="70">PROVINCIA</th>
            <td rowspan="2">{{ paciente.numerohistoriaclinica }}</td>
        </tr>
        <tr>
            <td height="18px">{{ entidad.parroquia ? entidad.parroquia.descripcion }}</td>
            <td height="18px">{{ entidad.parroquia ? entidad.parroquia.canton.descripcion }}</td>
            <td height="18px">{{ entidad.parroquia ? entidad.parroquia.canton.provincia.descripcion }}</td>
        </tr>
        </tbody>
    </table>


    <div class="widget-box">
        <div class="widget-header widget-header-small" style="line-height: 32px !important;">
            <h6 class="widget-title dark"><b>1. DATOS PERSONALES</b></h6>
        </div>
        <div class="widget-body">
            <div class="widget-main" style="padding: 2px;">
                <table width="100%">
                    <tr>
                        <td style="padding: 0; padding-left: 5px;">
                            <span style="box-shadow: none !important;">
                        <img width="80px" height="90px" src="data:image/png;base64,{{ base64Foto }}">
                    </span>
                        </td>
                        <td>
                            <table class="table table-bordered no-margin">
                                <tr>
                                    <td style="width: 125px"><b>Tipo de Identificación</b></td>
                                    <td style="width: 125px">{{ paciente.getPersona().getCttipoidentificacion().getDescripcion() }}</td>
                                    <td style="width: 150px"><b>Número de Identificación</b></td>
                                    <td style="width: 150px;">{{ paciente.getPersona().getNumeroidentificacion() }}</td>
                                </tr>
                                <tr>
                                    <td style="width: 130px"><b>Primer Apellido</b></td>
                                    <td style="width: 125px">{{ paciente.getPersona().getApellidopaterno() }}</td>
                                    <td style="width: 150px"><b>Segundo Apellido</b></td>
                                    <td style="width: 150px">{{ paciente.getPersona().getApellidomaterno() }}</td>
                                </tr>
                                <tr>
                                    <td style="width: 130px"><b>Primer Nombre</b></td>
                                    <td style="width: 125px">{{ paciente.getPersona().getPrimernombre() }}</td>
                                    <td style="width: 150px"><b>Segundo Nombre</b></td>
                                    <td style="width: 150px">{{ paciente.getPersona().getSegundonombre() }}</td>
                                </tr>
                                <tr>
                                    <td style="width: 130px"><b>Estado Civil</b></td>
                                    {% if  paciente.getPersona().getCtestadocivil().getDescripcion() is defined%}
                                        <td style="width: 125px">{{ paciente.getPersona().getCtestadocivil().getDescripcion() }}</td>
                                    {% else %}
                                        <td style="width: 125px">&nbsp;</td>
                                    {% endif %}
                                    <td style="width: 150px"><b>Sexo</b></td>
                                    {% if  paciente.getPersona().getCtsexo().getDescripcion() is defined%}
                                        <td style="width: 150px">{{ paciente.getPersona().getCtsexo().getDescripcion() }}</td>
                                    {% else %}
                                        <td style="width: 125px">&nbsp;</td>
                                    {% endif %}
                                </tr>
                                <tr>
                                    <td style="width: 130px"><b>Teléfono</b></td>
                                    <td style="width: 125px">{{ paciente.getTelefono() }}</td>
                                    <td style="width: 150px"><b>Celular</b></td>
                                    <td style="width: 150px">{{ paciente.getCelular() }}</td>
                                </tr>
                                <tr>
                                    <td><b>Correo Electrónico</b></td>
                                    <td colspan="3">{{ paciente.getCorreo() }}</td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="widget-box">
        <div class="widget-header widget-header-small" style="line-height: 32px !important;">
            <h6 class="widget-title dark"><b>2. DATOS DE NACIMIENTO</b></h6>
        </div>
        <div class="widget-body">
            <div class="widget-main" style="padding: 8px;">
                <table class="table table-bordered" width="100%" style="margin: 0;">
                    <tr>
                        <td style="width: 100px"><b>Nacionalidad</b></td>
                        <td style="width: 125px"
                            class="ajustar">{{ paciente.getPersona().getPais().getNacionalidad() }}</td>
                        <td style="width: 120px"><b>Lugar de Nacimiento</b></td>
                        <td colspan="5" style="width: 300px;">{{ paciente.getPersona().getLugarnacimiento() }}</td>
                    </tr>
                    <tr>
                        <td style="width: 100px"><b>Provincia</b></td>
                        <td style="width: 125px">{{ paciente.getPersona().getParroquia() ? paciente.getPersona().getParroquia().getCanton().getProvincia().getDescripcion() }}</td>
                        <td style="width: 120px"><b>Cantón</b></td>
                        <td style="width: 125px">{{ paciente.getPersona().getParroquia() ? paciente.getPersona().getParroquia().getCanton().getDescripcion() }}</td>
                        <td style="width: 90px"><b>Parroquia</b></td>
                        <td colspan="3"
                            style="width: 125px">{{ paciente.getPersona().getParroquia() ? paciente.getPersona().getParroquia().getDescripcion() }}</td>
                    </tr>
                    <tr>
                        <td style="width: 100px"><b>Fecha Nacimiento</b></td>
                        <td style="width: 125px">{{ paciente.getPersona().getFechanacimiento() |date('d-m-Y') }}</td>
                        <td style="width: 150px"><b>Años</b></td>
                        <td style="width: 125px">{{ anios }}</td>
                        <td style="width: 90px"><b>Meses</b></td>
                        <td style="width: 25px">{{ meses }}</td>
                        <td style="width: 75px"><b>Dias</b></td>
                        <td style="width: 25px">{{ dias }}</td>
                    </tr>
                    {% if anios < ANIO_EDAD_REGISTRO_REPRESENTANTE and paciente.getMadrepcte() is defined and paciente.getMadrepcte() is not null%}
                        <tr>
                            <td style="width: 100px"><b>Nac. Representante</b></td>
                            <td style="width: 125px">{{ paciente.getMadrepcte().getPersona().getPais.getId()== CT_NACIONALIDAD_EC ? 'Nacional' : 'Extranjero' }}</td>
                            <td style="width: 120px"><b>Número de Identificación</b></td>
                            <td colspan="5" style="width: 300px;">{{ paciente.getMadrepcte().getPersona().getNumeroidentificacion() }}</td>
                        </tr>
                    {% endif %}
                </table>
            </div>
        </div>
    </div>
    <div class="widget-box">
        <div class="widget-header widget-header-small" style="line-height: 32px !important;">
            <h6 class="widget-title dark"><b>3. DATOS DE RESIDENCIA</b></h6>
        </div>
        <div class="widget-body">
            <div class="widget-main" style="padding: 8px;">
                <table class="table table-bordered" width="100%" style="margin: 0;">
                    {% if paciente.getPais() and paciente.getPais().getId() != NACIONALIDAD_ECUATORIANA %}
                        <tr>
                            <td style="width: 100px"><b>País</b></td>
                            <td style="width: 150px">{{ paciente.getPais() ? paciente.getPais().getNombre() }}</td>
                            <td style="width: 150px" colspan="4"></td>
                        </tr>
                    {% else %}
                        <tr>
                            <td style="width: 100px"><b>Provincia</b></td>
                            <td style="width: 150px">{{ paciente.getParroquia() ? paciente.getParroquia().getCanton().getProvincia().getDescripcion() }}</td>
                            <td style="width: 150px"><b>Cantón</b></td>
                            <td style="width: 150px">{{ paciente.getParroquia() ? paciente.getParroquia().getCanton().getDescripcion() }}</td>
                            <td style="width: 100px"><b>Parroquia</b></td>
                            <td style="width: 150px">{{ paciente.getParroquia() ? paciente.getParroquia().getDescripcion() }}</td>
                        </tr>
                    {% endif %}
                    <tr>
                        <td style="width: 100px"><b>Calle Principal</b></td>
                        <td style="width: 150px">{{ paciente.getCalleprincipal() }}</td>
                        <td style="width: 150px"><b>Número</b></td>
                        <td style="width: 150px">{{ paciente.getNumero() }}</td>
                        <td style="width: 100px"><b>Calle Secundaria</b></td>
                        <td style="width: 150px">{{ paciente.getCallesecundaria() }}</td>
                    </tr>
                    <tr>
                        <td style="width: 100px"><b>Barrio</b></td>
                        <td style="width: 150px">{{ paciente.getBarrio() }}</td>
                        <td style="width: 150px"><b>Referencia de Residencia</b></td>
                        <td colspan="3">{{ paciente.getReferenciaresidencia() }}</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="widget-box">
        <div class="widget-header widget-header-small">
            <h6 class="widget-title dark"><b>4. DATOS ADICIONALES</b></h6>
        </div>
        <div class="widget-body">
            <div class="widget-main" style="padding: 8px;">
                <table class="table table-bordered" width="100%" style="margin: 0;">
                    <tr>
                        <td style="width: 200px"><b>Autoidentificación Étnica</b></td>
                        <td style="width: 120px">{{ paciente.getCtetnia().getDescripcion() }}</td>
                        <td style="width: 200px"><b>Nacionalidad Étnica</b></td>
                        <td style="width: 120px">{{ paciente.getCtnacionalidadetnica() ? paciente.getCtnacionalidadetnica().getDescripcion() }}</td>
                        <td style="width: 220px"><b>Pueblo</b></td>
                        <td style="width: 120px">{{ paciente.getCtpueblo() ? paciente.getCtpueblo().getDescripcion() }}</td>
                    </tr>
                    <tr>
                        <td style="width: 200px"><b>Nivel de Educación</b></td>
                        <td style="width: 120px">{{ paciente.getPersona().getCtniveleducacion().getDescripcion() }}</td>
                        <td style="width: 200px"><b>Estado de Nivel de Educación</b></td>
                        <td style="width: 120px">{{ paciente.getCtestadoniveleducacion().getDescripcion() }}</td>
                        <td style="width: 220px"><b>Tipo de Empresa de Trabajo</b></td>
                        <td style="width: 120px">{{ paciente.getCttipoempresatrabajo().getDescripcion() }}</td>
                    </tr>
                    <tr>
                        <td style="width: 200px"><b>Ocupación/Profesión Principal</b></td>
                        <td style="width: 120px">{{ paciente.getProfesion().getNombre() }}</td>
                        <td style="width: 200px"><b>Seguro de Salud Principal</b></td>
                        <td style="width: 120px">{{ paciente.getCttiposegurosalud().getDescripcion() }}</td>
                        <td style="width: 180px"><b>Seguro de Salud Secundario</b></td>
                        <td style="width: 120px">{{ paciente.getSegurosaludsecundario() }}</td>
                    </tr>
                    <tr>
                        <td style="width: 200px"><b>Tipo de Bono que recibe</b></td>
                        <td style="width: 120px">{{ paciente.getCttipobono().getDescripcion() }}</td>
                        <td style="width: 200px"><b>Tiene discapacidad?</b></td>
                        <td style="width: 120px"{{ paciente.getCtdiscapacidadId() == DISCAPACIDAD_SI ? '' : 'colspan="3"' }}>{{ paciente.getCtdiscapacidad().getDescripcion() }}</td>
                        {% if paciente.getCtdiscapacidadId() == DISCAPACIDAD_SI %}
                            <td style="width: 220px"><b>Porcentaje de Discapacidad</b></td>
                            <td style="width: 120px">{{ paciente.getPorcentajeDiscapacidad() }}
                                % {{ (paciente.getCttipodiscapacidad()) ? '-'~paciente.getCttipodiscapacidad().getDescripcion() : '' }}</td>
                        {% endif %}
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="widget-box">
        <div class="widget-header widget-header-small">
            <h6 class="widget-title dark"><b>5. DATOS DE CONTACTO</b></h6>
        </div>
        <div class="widget-body">
            <div class="widget-main" style="padding: 8px;">
                <table class="table table-bordered no-margin" width="100%" style="margin: 0;">
                    <tr>
                        <td style="width: 140px"><b>En caso necesario llamar a?</b></td>
                        <td style="width: 300px">{{ paciente.getNombrecontacto() }}</td>
                        <td style="width: 60px"><b>Parentesco</b></td>
                        <td style="width: 150px">{{ paciente.getCtparentezcocontacto().getDescripcion() }}</td>
                    </tr>
                    <tr>
                        <td style="width: 140px"><b>Dirección</b></td>
                        <td style="width: 300px">{{ paciente.getDireccioncontacto() }}</td>
                        <td style="width: 60px"><b>Teléfono</b></td>
                        <td style="width: 150px">{{ paciente.getTelefonocontacto() }}</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <br/>
    <table id="firma" class="table table-bordered content-center" width="100%">
        <thead>
        <tr>
            <th width="150px">FECHA DE IMPRESIÓN</th>
            <th width="40px">HORA</th>
            <th>NOMBRE DEL USUARIO</th>
            <th width="200px">FIRMA</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td>{{ "now"|date('Y-m-d') }}</td>
            <td>{{ "now"|date('H:i') }}</td>
            <td>{{ usuario.getNombrecompleto() }}</td>
            <td></td>
        </tr>
        </tbody>
    </table>
{% endblock container %}
